diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
index 7e9fb16..646a13a 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
@@ -563,9 +563,15 @@ class TablespaceView(PGChildNodeView):
             This function will return list of variables available for
             table spaces.
         """
-        SQL = render_template(
-            "/".join([self.template_path, 'variables.sql'])
-        )
+        ver = self.manager.version
+        if ver >= 90600:
+            SQL = render_template(
+                "/".join(['tablespaces/sql/9.6_plus', 'variables.sql'])
+            )
+        else:
+            SQL = render_template(
+                "/".join([self.template_path, 'variables.sql'])
+            )
         status, rset = self.conn.execute_dict(SQL)
 
         if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.6_plus/variables.sql b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.6_plus/variables.sql
new file mode 100644
index 0000000..aba2dbc
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/templates/tablespaces/sql/9.6_plus/variables.sql
@@ -0,0 +1,4 @@
+{### SQL to fetch tablespace object options ###}
+SELECT name, vartype, min_val, max_val, enumvals
+FROM pg_settings
+WHERE name IN ('seq_page_cost', 'random_page_cost', 'effective_io_concurrency');
\ No newline at end of file
